/* Conteneur de pagination */

.pagination {
    display: flex;
    padding-left: 0;
    list-style: none;
    border-radius: 0.25rem;
    justify-content: center;
}


/* Eléments de la pagination */

.pagination li {
    margin: 0 5px;
}


/* Liens de pagination */

.pagination li a,
.pagination li span {
    color: #007bff;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #dee2e6;
    padding: 0.5rem 0.75rem;
    border-radius: 0.25rem;
    margin-left: -1px;
    display: inline-block;
    line-height: 1.25;
}

.pagination li:first-child a,
.pagination li:first-child span {
    margin-left: 0;
    border-top-left-radius: 0.25rem;
    border-bottom-left-radius: 0.25rem;
}

.pagination li:last-child a,
.pagination li:last-child span {
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
}


/* Liens actifs */

.pagination li.active span {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}


/* Liens désactivés */

.pagination li.disabled span {
    color: #6c757d;
    background-color: #fff;
    border-color: #dee2e6;
    cursor: not-allowed;
}


/* Effet hover sur les liens */

.pagination li a:hover {
    color: #0056b3;
    background-color: #e9ecef;
    border-color: #dee2e6;
}